<?php
/*
-----------------------------------------
Автор: -=КотЭ=-(-=MTV=-) и Shot(Robber)
Бесплатный WAP движок: Strongcms
Контакты: 0664452670(МТС) ибо ICQ(7296000)
Файл: lenta.php
-------------------------------------------
*/
$title = 'Лента';
//-----Подключаем функции-----//
require_once ('system/function.php');
//-----Подключаем вверх-----//
require_once ('system/header.php');

# закрываем от гостей
if(!$user['id']) exit(header('Location: '.$HOME));

$act = isset($_GET['act']) ? strong($_GET['act']) : null;
switch($act)
{
default:

echo '<div class="title">Лента</div>
<div class="menudiv"><a href="'.$HOME.'/lenta/dellenta/" class="k_menu">Удалить Всё</div></a>';

if (empty($user['max'])) $user['max']=10;
$max = $user['max'];
$k_post = mysql_result(mysql_query("SELECT COUNT(*) FROM `lenta` WHERE `komy` = '".$user['id']."'"),0);
$k_page = k_page($k_post,$max);
$page = page($k_page);
$start = $max*$page-$max;
$lenta = mysql_query("SELECT * FROM `lenta` WHERE `komy` = '".$user['id']."' ORDER BY `time` DESC LIMIT $start, $max");
while($l = mysql_fetch_assoc($lenta))
{
//--Создаем перемменую с статусом readlen--//
echo '<div class="podmenu">Пользователь: '.nick($l['kto']).' '.bb($l['text']).' ('.vremja($l['time']).')';
if($l['readlen'] == 0) echo ' <img src="'.$HOME.'/images/readlen.png">';
echo '</div>';
mysql_query("UPDATE `lenta` SET `readlen` = '1' WHERE `id`='".$l['id']."' limit 1");
}

if($k_post < 1) echo '<div class="podmenu"><center><b>Пока пусто!</b></center></div>';
if($k_page>1) echo str(''.$HOME.'/lenta/?',$k_page,$page); // Вывод страниц

echo '<div class="menudiv"><a href="'.$HOME.'/user/cab.php" class="k_menu">Назад в кабинет</div></a>';

break;
case 'dellenta':

if(isset($_REQUEST['okda'])) {
mysql_query("DELETE FROM `lenta` WHERE `komy` = '".$user['id']."'");
header('Location: '.$HOME.'/lenta');
exit();
}

echo '<div class="title"><a href="'.$HOME.'/lenta/">Лента</a> | Удалить Всё</div>
<div class="podmenu">Вы действительно хотите удалить всю ленту?<br /><a href="'.$HOME.'/lenta/dellenta/?okda">Да</a></div>';

break;
}
//-----Подключаем вверх-----//
require_once ('system/footer.php');
?>